corda / net.corda.core.contracts / StateAndRef

# StateAndRef

`data class StateAndRef<out T : ContractState>`

A StateAndRef is simply a (state, ref) pair. For instance, a vault (which holds available assets) contains these.

### Constructors

<init> | `StateAndRef(state: TransactionState<T>, ref: StateRef)` A StateAndRef is simply a (state, ref) pair. For instance, a vault (which holds available assets) contains these.

### Properties

ref | `val ref: StateRef`
state | `val state: TransactionState<T>`